# DataExchange
TKXSBase
Interface

# Interface_ReaderLib Class Reference

`#include <Interface_ReaderLib.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Interface_ReaderLib (const Handle(Interface_Protocol)&aprotocol)
Standard_EXPORT | Interface_ReaderLib ()
Standard_EXPORT void | AddProtocol (const Handle(Standard_Transient)&aprotocol)
Standard_EXPORT void | Clear ()
Standard_EXPORT void | SetComplete ()
Standard_EXPORT Standard_Boolean | Select (const Handle(Standard_Transient)&obj, Handle(Interface_ReaderModule)&module, Standard_Integer &CN) const
Standard_EXPORT void | Start ()
Standard_EXPORT Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT const Handle_Interface_ReaderModule & | Module () const
Standard_EXPORT const Handle_Interface_Protocol & | Protocol () const

## Static Public Member Functions

static Standard_EXPORT void | SetGlobal (const Handle(Interface_ReaderModule)&amodule, const Handle(Interface_Protocol)&aprotocol)

## Private Attributes

Handle_Interface_NodeOfReaderLib | thelist
Handle_Interface_NodeOfReaderLib | thecurr

## Constructor & Destructor Documentation

Standard_EXPORT Interface_ReaderLib::Interface_ReaderLib | ( | const Handle(Interface_Protocol)& | aprotocol | ) |

Standard_EXPORT Interface_ReaderLib::Interface_ReaderLib | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Interface_ReaderLib::AddProtocol | ( | const Handle(Standard_Transient)& | aprotocol | ) |

Standard_EXPORT void Interface_ReaderLib::Clear | ( |  | ) |

Standard_EXPORT const Handle_Interface_ReaderModule& Interface_ReaderLib::Module | ( |  | ) | const

Standard_EXPORT Standard_Boolean Interface_ReaderLib::More | ( |  | ) | const

Standard_EXPORT void Interface_ReaderLib::Next | ( |  | ) |

void Interface_ReaderLib::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Interface_ReaderLib::operator new | ( | size_t | size | ) | `[inline]`

void* Interface_ReaderLib::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_Interface_Protocol& Interface_ReaderLib::Protocol | ( |  | ) | const

Standard_EXPORT Standard_Boolean Interface_ReaderLib::Select | ( | const Handle(Standard_Transient)& | obj,
|  | Handle(Interface_ReaderModule)& | module,
|  | Standard_Integer & | CN
| ) | const

Standard_EXPORT void Interface_ReaderLib::SetComplete | ( |  | ) |

static Standard_EXPORT void Interface_ReaderLib::SetGlobal | ( | const Handle(Interface_ReaderModule)& | amodule,
|  | const Handle(Interface_Protocol)& | aprotocol
| ) | `[static]`

Standard_EXPORT void Interface_ReaderLib::Start | ( |  | ) |

## Field Documentation

Handle_Interface_NodeOfReaderLib Interface_ReaderLib::thecurr `[private]`

Handle_Interface_NodeOfReaderLib Interface_ReaderLib::thelist `[private]`

The documentation for this class was generated from the following file:

- Interface_ReaderLib.hxx